PuTTY Settings Manager Contents

PuTTY Settings Manager Documentation

Contents

English
Deutsch

Copyright © 2000-2002 Valerian Luft. All rights reserved
http://www.luftsoft.de
Mirror Site Russia:
http://www.t2c.narod.ru


PuTTY Settings Manager English

PuTTY Settings Manager Documentation

Contents

What is PuTTY Settings Manager?
Licence
Freeback
Platforms
Installing
Uninstalling
How to use PSM
Exporting the PuTTY settings to a registry file
Restoring the PuTTY settings
Hot keys
What is PuTTY Settings Manager?

PuTTY Settings Manager (further PSM) is a third-party program to store/backup the PuTTY settings into a file. With this tool you can store the PuTTY settings quite easily into a file , transfer them then to another windows clients and bring in there without additional means.

You will need PuTTY in order to use PSM. Who does not know what is PuTTY , PuTTY is a great free implementation of Telnet and SSH for Win32 platforms, along with an xterm terminal emulator. Up to now the PuTTY author did not yet insert an export function for its numerous program settings. PSM adjusts the disadvantage. For more Information about PuTTY please visit the official PuTTY web site http://www.chiark.greenend.org.uk/~sgtatham/putty/.
Licence

PuTTY Settings Manager is copyright 2001-2002 Valerian Luft.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Feedback

You can report any bugs by email bugs@luftsoft.de
Platforms

PSM would have to run on all Win32 platforms. On most I tested the Tool (see the table below). PSM does not run on Windows 95.

OS | tested
Windows 98 SE | yes
Windows 98 PE | no
Windows NT 4 | yes
Windows 2000 | yes
Windows ME | no
Windows XP | yes

Installing

Download the Zip archive and unpack the files either with WinRar or WinZip into a directory.
Uninstalling

1. Delete the directory, where you installed PSM
2. Delete the registry key HKEY_CURRENT_USER\Software\ValerianLuft\PSM with all contents.

The step 2 is needed if you have PSM version 0.31 or prior. Since version 0.32 the program settings aren't more stored in the registry database, but in the ini file "psm.ini" which lies in the PSM directory .

How to use PSM

Exporting the PuTTY settings to a registry file

PSM must be started

  • Select the entries in the list "Saved Sessions", which you want to export and click on the button ">". Selected entries appear in the list "Sessions to export"
  • Write a file name in the field "Export file" , where the Settings should be exported. He is called default putty_settings.reg
  • Click on the button "Apply". The selected sessions are exported

    Restoring the PuTTY settings

    This is simply. To restore the PuTTY settings doubleclick to the exported file. However, the exported file must have the extension REG

    I did not insert the import function yet. That is the next step in the development of software.

    • Hot keys

    Key | Action | Equivalent
Del | Removes a selected item | Context menu "Delete selected item"
Space | Copy selected items between windows | Button ">"
F5 | Refresh view ("Saved Sessions" only) | Context menu "Refresh"
    Copyright © 2000-2002 Valerian Luft. All rights reserved
    http://www.luftsoft.de
    Mirror Site Russia:
    http://www.t2c.narod.ru


PuTTY Settings Manager German

PuTTY Settings Manager Dokumentation

Inhaltsverzeichnis

Was ist PuTTY Settings Manager?
Lizenz
Freeback
Unterstützte Betriebssysteme
Installation
Deinstallation
Arbeiten mit PSM
PuTTY Einstellungen in eine Datei exportieren
PuTTY Einstellungen wiederherstellen
Tastenkürzel
Was ist PuTTY Settings Manager?

PuTTY Settings Manager ( weiter PSM) ist ein Win32-Third-Party-Tool zum Exportieren von PuTTY Einstellungen in eine Registry-Datei. Mit diesem Tool können Sie ganz einfach Ihre PuTTY Einstellungen in eine Datei abspeichern, sie dann auf einen anderen Windows-Recher übertragen und dort ohne zusätzlichen Mitteln wieder einspielen.

Um PSM zu benutzen, muss PuTTY auf Ihrem Rechner installiert sein. Wer noch nicht weiss, was PuTTY ist, PuTTY ist ein tolles Win32 Telnet- und SSH-Client.

Leider hat der PuTTY-Autor für seine zahlreiche Programm-Einstellungen noch keine Export-Funktion eingebaut. PSM gleicht den Nachteil aus. Mehr über PuTTY können Sie auf der offiziellen Web-Seite http://www.chiark.greenend.org.uk/~sgtatham/putty/ erfahren.
Lizenz

PuTTY Settings Manager is copyright 2001-2002 Valerian Luft.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Feedback

Wenn Sie Bugs entdecken, bitte an bugs@luftsoft.de raportieren .
Unterstützte Betriebssysteme

PSM wurde für 32-Bit Windows Betriebssysteme programmiert. Auf meisten habe ich das Tool getestet (sihe die Tabelle unten). Unter Windows 95 läuft PSM nicht.

Betriebssysteme | getestet
Windows 98 SE | ja
Windows 98 PE | nein
Windows NT 4 | ja
Windows 2000 | ja
Windows ME | nein
Windows XP | ja

Installation

Einfach den Zip-Archive downloaden und entweder mit WinRar oder WinZip in ein Verzeichnis entpacken.
Deinstallation

1. Löschen Sie das Verzeichnis, in dem PSM installiert ist
2. Löschen Sie den Registry-Schlüssel HKEY_CURRENT_USER\Software\ValerianLuft\PSM mit ganzem Inhalt.

Der Schritt 2 ist notwendig, wenn Sie PSM Version 0.31 oder älter haben. Ab Version 0.32 werden Programmeinstellungen nicht mehr in der Registry-Datenbank gespeichert, sondern in der Ini-Datei "psm.ini", die sich auch im gleichen Verzeichnis befindet, in dem PSM ist.

Arbeiten mit PSM

PuTTY Einstellungen in eine Datei exportieren

PSM muss gestartet sein

  • Links, in der Liste "Saved Sessions" markieren Sie die Sessions, die Sie exportieren wollen. Klicken Sie auf die Schaltfläche ">". Um alle Einträge in die rechte Liste zu übertragen, klicken Sie auf die Schaltflüche ">>". Alle links ausgewählte Sessions erscheinen jetzt in der Liste "Sessions to export" rechts.
  • Im Feld "Export file" tippen Sie einen Dateinamen ein, in die Sie PuTTY-Einstellungen exportieren möchten.
    Standartmässig heisst er "putty_settings.reg" und wird in dem Verzeichnis angelegt, wo PSM installiert ist.
  • Klicken Sie auf die Schaltfläche "Apply".

    PuTTY Einstellungen wiederherstellen

    Einfacher geht's nicht! Machen Sie einfach einen Doppelklick auf die exportierte Datei. Die Einstellungen werden automatisch in die Registrierungsdatenbank eingespielt. Unter Windows 2000 und Windows ME nach dem Doppelklick bekommen Sie möglicherweise eine Frage, ob Sie das wirklich tun wollen. Beantworten Sie die Frage mit "Ja ". Beachten Sie bitte, dass das ganze nur dann funktioniert, wenn die exportierte Datei die Erweiterung REG hat.

    Ich habe noch keine Import-Funktion geschrieben. Das ist der nächste Schritt in der Entwicklung von Software.

    • Tastenkürzel

    Tastenkürzel | Action | Equivalent
Entf | Löschen von markierten Einträgen | Kontextmenü "Delete selected item"
Leertaste | Übertragen/kopieren von markierten Einträgen zwischen den Fenstern "Saved sessions" und "Sessions to export" | Button ">"
F5 | Aktualisieren von Einträgen (betrifft nur die "Saved Sessions") | Kontextmenu "Refresh"
    Copyright © 2000-2002 Valerian Luft. All rights reserved
    http://www.luftsoft.de
    Mirror Site Russia:
    http://www.t2c.narod.ru